Skip to main content

Variable: espnWnbaSummary

const espnWnbaSummary: SectionedWrapper<ParsedTables, { }, EspnSummaryParams>

Defined in: src/generated/espn/wnba.ts:3362

WNBA — summary (ESPN site.api.espn.com).

Endpoint: GET https://site.api.espn.com/apis/site/v2/sports/basketball/wnba/summary

Param​

params.event_id

number | string — the ESPN event (game) id.

Param​

params.parsed

boolean — when true, route the payload through this endpoint's tidy.js parser and return rows instead of raw JSON.

Param​

params.section

string — (with parsed: true) return just one named sub-frame (e.g. boxscore, plays, winprobability) instead of the object of all summary sub-frames.

Returns​

Promise<ParsedTables> with { parsed: true } (an object of sub-frames, or the chosen section's Row[]); the raw ESPN payload (unknown) otherwise.

Example​

await sdv.wnba.espnWnbaSummary({});

See​

https://js.sportsdataverse.org/docs/wnba/reference/site#espnwnbasummary